Subject: error-info element does not allow for a bad-attribute child element ..

From: nag <[email-masked]>
Date: Fri, 18 Feb 2005 03:15:14 -0800 (PST)

Hi,

correct me if I am looking at wrong xsd.

But, the following declaration does not allow for a 
bad-attribute or bad-element to be added as a child
element to error-info element ..

<xs:element name="error-info" type="xs:anyType"
minOccurs="0"/>

I have an example xml like this:

<?xml version="1.0" encoding="UTF-8"?>
<nc:rpc-reply message-id="xyz"
xmlns:nc="urn:ietf:params:xml:ns:netconf:base:1.0" 
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="urn:ietf:params:xml:ns:netconf:base:1.0
D:\work\netconf-draft4.xsd">
      <nc:rpc-error>
        <nc:error-type>protocol</nc:error-type>
        <nc:error-tag>BAD_ATTRIBUTE</nc:error-tag>
        <nc:error-severity>error</nc:error-severity>
        <nc:error-info>
	<nc:bad-attribute>type</nc:bad-attribute>
	<nc:bad-element>filter</nc:bad-element>	 
        </nc:error-info>       
      </nc:rpc-error>
    </nc:rpc-reply>

------------- xmlspy gave this validation error
message -----

Only text allowed inside element "nc:error-info"

I think this requires a change in the xsd.

thanks
Nag

__________________________________ 
Do you Yahoo!? 
The all-new My Yahoo! - Get yours free! 
http://my.yahoo.com 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>